
QGIS Application - Bug report #7606

"Update options" doesn't work in DBManager if the input dropdown menu has never been touched

2013-04-14 03:09 AM - Emilio Loi

Status: Closed

Priority: Low

Assignee:

Category: DB Manager

Affected QGIS version:master Regression?: No

Operating System: Easy fix?: No

Pull Request or Patch supplied:No Resolution:

Crashes QGIS or corrupts data:No Copied to github as #: 16534

Description

In DBManager try to import a vector layer. The "Input" dropdown menu shows, as first choice, a vector layer name that's loaded in the

project. If the dropdown menu has never been touched, clicking on "Update options" button causes a log message "Data source is

invalid" because no layer has been selected.

Associated revisions

Revision cb1e47be - 2013-05-27 02:01 AM - Giuseppe Sucameli

DBManager: fix 'Update Option' button behaviour (fix #7606)

History

#1 - 2013-05-26 05:01 PM - Giuseppe Sucameli

- Status changed from Open to Closed

Fixed in changeset commit:"cb1e47be2d1cddd7ab84ef5f96af6130a919b349".
